Skip to main content
POST
/
v3
/
orders
/
{order}
/
items
Add Order Item
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/orders/{order}/items \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "quantity": 123,
  "price_current": 123,
  "price_sell": 123,
  "product_variant_id": 123,
  "is_void": true,
  "price_original": 123,
  "price_margin": 123,
  "tags": [
    "<string>"
  ]
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/orders/{order}/items"

payload = {
"name": "<string>",
"quantity": 123,
"price_current": 123,
"price_sell": 123,
"product_variant_id": 123,
"is_void": True,
"price_original": 123,
"price_margin": 123,
"tags": ["<string>"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
quantity: 123,
price_current: 123,
price_sell: 123,
product_variant_id: 123,
is_void: true,
price_original: 123,
price_margin: 123,
tags: ['<string>']
})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/orders/{order}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "external_id": "<string>",
    "name": "<string>",
    "order_id": 123,
    "product_id": 123,
    "product_variant_id": 123,
    "sku": "<string>",
    "variant_external_id": "<string>",
    "is_void": true,
    "quantity": 123,
    "price_current": 123,
    "price_sell": 123,
    "price_original": 123,
    "price_margin": 123,
    "price_tax": 123,
    "discounts": [
      "<unknown>"
    ],
    "department": "<string>",
    "product_images": {},
    "meta": [
      "<unknown>"
    ],
    "created_at": "<string>",
    "updated_at": "<string>",
    "product_variant": {
      "id": 123,
      "product_id": 123,
      "sku": "<string>",
      "external_id": "<string>",
      "barcode": "<string>",
      "web_url": "<string>",
      "handle": "<string>",
      "title": "<string>",
      "description": "<string>",
      "position": 123,
      "price": 123,
      "price_discounted": 123,
      "price_comparison": 123,
      "price_cost": 123,
      "available_quantity": 123,
      "images": "<string>",
      "meta": [
        "<unknown>"
      ],
      "tags": [
        "<string>"
      ],
      "options": [
        {
          "name": "<string>",
          "value": "<string>",
          "sort_order": 123
        }
      ],
      "created_at": "<string>",
      "updated_at": "<string>",
      "deleted_at": "<string>"
    },
    "product": {
      "title": "<string>",
      "department": "<string>",
      "brand": "<string>",
      "custom_fields": [
        {
          "name": "<string>",
          "handle": "<string>",
          "namespace": "<string>",
          "value": "<string>",
          "type": "<string>",
          "custom_fieldable_type": "<string>",
          "custom_fieldable": {
            "id": "<string>",
            "external_id": "<string>",
            "profile_id": "<string>",
            "meta": "<string>",
            "total": "<string>",
            "total_original": "<string>",
            "rounding": "<string>",
            "margin": "<string>",
            "is_void": "<string>",
            "transacted_at": "<string>",
            "timezone": "<string>",
            "payments": "<string>",
            "receipt_is_email": "<string>",
            "receipt_ref": "<string>",
            "linked_receipt_ref": "<string>",
            "claimed_at": "<string>",
            "receipt_email": "<string>",
            "currency_id": "<string>",
            "currency_rate": "<string>",
            "currency": "<string>",
            "type": "<string>",
            "status": "<string>",
            "order_number": "<string>",
            "order_id": "<string>",
            "external_order_id": "<string>",
            "created_at": "<string>",
            "updated_at": "<string>"
          },
          "created_at": "<string>",
          "updated_at": "<string>",
          "is_index": 123
        }
      ]
    },
    "order": {
      "transacted_at": "<string>",
      "receipt_ref": "<string>",
      "external_id": "<string>"
    }
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

order
integer
required

The order ID

Body

application/json
name
string
required
quantity
integer
required
price_current
number
required
price_sell
number
required
product_variant_id
integer | null
is_void
boolean | null
price_original
number | null
price_margin
number | null
tags
string[]

Response

OrderItem

data
OrderItem · object
required